/ comp / gb.net / serversocket
ServerSocket (gb.net)
This class listens to a socket, so your program can act as a server for both TCP and UNIX protocols.

This class performs its work asynchronously, so your program will not be stopped by the internal work of the server object.

This class is developed to be only a server which accepts or denies connections, all the rest of work (sending data, receiving data...) will be performed by a Socket started by this server (one per each connection).

Symbols
This class is creatable.
This class is enumerable with the FOR EACH keyword.

Static properties |
/comp/gb.net/serversocket/maxpathlength |

Properties |  | Methods |  | Events |
/comp/gb.net/serversocket/count /comp/gb.net/serversocket/path /comp/gb.net/serversocket/port /comp/gb.net/serversocket/status /comp/gb.net/serversocket/type |  | Accept Close Listen Pause Resume |  | Connection Error |